LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XUITest Interface Reference

`import"XUITest.idl";`

Inheritance diagram for XUITest:

## Public Member Functions
boolean | executeCommand ([in] string command)
boolean | executeCommandWithParameters ([in] string command, [in] com::sun::star::beans::PropertyValues propValues)
boolean | executeCommandForProvider ([in] string command, [in] ::com::sun::star::frame::XDispatchProvider xProvider)
boolean | executeDialog ([in] string command)
XUIObject | getTopFocusWindow ()
XUIObject | getFloatWindow ()
XUIObject | getWindow ([in] ::com::sun::star::awt::XWindow xWindow)
| Get the XUIObject for the given window. More...
XUIObject | getFocusWindow ()
| Get the XUIObject for the window that currently has focus. More...

## Member Function Documentation

## ◆ executeCommand()

boolean executeCommand | ( | [in] string | command | ) |

## ◆ executeCommandForProvider()

boolean executeCommandForProvider | ( | [in] string | command,
|  | [in] ::com::sun::star::frame::XDispatchProvider | xProvider
| ) |  |

## ◆ executeCommandWithParameters()

boolean executeCommandWithParameters | ( | [in] string | command,
|  | [in] com::sun::star::beans::PropertyValues | propValues
| ) |  |

## ◆ executeDialog()

boolean executeDialog | ( | [in] string | command | ) |

## ◆ getFloatWindow()

XUIObject getFloatWindow | ( |  | ) |

## ◆ getFocusWindow()

XUIObject getFocusWindow | ( |  | ) |

Get the XUIObject for the window that currently has focus.

Since
  LibreOffice 26.2

## ◆ getTopFocusWindow()

XUIObject getTopFocusWindow | ( |  | ) |

## ◆ getWindow()

XUIObject getWindow | ( | [in] ::com::sun::star::awt::XWindow | xWindow | ) |

Get the XUIObject for the given window.

Since
  LibreOffice 25.8

The documentation for this interface was generated from the following file:

- com/sun/star/ui/test/XUITest.idl